.marker-cluster {
    border-radius: 50%;
    background-clip: padding-box;
}
.marker-cluster div {
    color: #fff;
    font-family: Roboto;
    font-weight: bold;
    text-align: center;
    font-size: 16px;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    margin-left:0;
    margin-top: 0;
}
.marker-cluster span {
    line-height: 40px;
}
.marker-cluster-small,
.marker-cluster-medium,
.marker-cluster-small:hover,
.marker-cluster-medium:hover {
    background-color: transparent;
}
.marker-cluster-small div,
.marker-cluster-medium div{
    background-color: rgba(0, 0, 0, 0.5);
}
.marker-cluster-small:hover div,
.marker-cluster-medium:hover div {
    background-color: rgba(0, 0, 0, 0.9);
}

.geo-feature-collection {
    position: relative;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}

.geo-feature-collection__map-layer {
    width: 100%;
    z-index: -1;
}

.geo-feature-collection .modal__overlay {
    z-index: 9999;
}

.modal__container-body {
    position: relative;
}

.geo-feature-collection .modal__close {
    position: absolute;
    right: 0;
    top: 0;
    height: 2rem;
    width: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 50;
    margin: auto;
    color: var(--color-black);
    background: var(--color-white);
}

.geo-feature-collection .card__body {
    position: relative;
}

.geo-feature-collection-item__category {
    position: absolute;
    left: 1rem;
    top: -2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 50;
    padding: .5rem 1rem 1rem;
    background: var(--color-white);
}

.geo-feature-collection__legend {
    padding: 1rem;
    width: 16rem;
    background: var(--color-white);
    border-radius: .5rem;
    pointer-events: all;
}

.geo-feature-collection__legend-item {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

@media only screen and (min-width: 30rem) {
    .geo-feature-collection__legend {
        width: 20rem;
    }
}

.geo-feature-collection-tooltip {
    background: none;
    border-radius: 0;
    border: 0;
    padding: 0;
    margin: 0;
    margin-top: -.25rem;
    box-shadow: none;
    font-size: .875rem;
    font-weight: bold;
    color: var(--color-grey-500);
    text-align: center;
    text-shadow:
        -1px -1px 0 white,
        1px -1px 0 white,
        -1px 1px 0 white,
        1px 1px 0 white;
    width: 12em;
    white-space: normal;
    height: 8rem;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    line-height: 1;
}

.geo-feature-collection-tooltip:before {
    display: none;
}

.geo-feature-collection .leaflet-touch .leaflet-bar {
    border: none;
    box-shadow: 0 6px 6px -3px rgb(221 221 221 / 43%), 0 10px 14px 1px rgb(221 221 221 / 37%), 0 4px 18px 3px rgb(221 221 221 / 35%)
}

.geo-feature-collection .leaflet-touch .leaflet-control-zoom-in,
.geo-feature-collection .leaflet-touch .leaflet-control-zoom-out {
    line-height: 2rem;
    height: 2rem;
    width: 2rem;
    font-weight: bold;
    font-size: 24px;
    font-family: var(--font-body);
}

.geo-feature-collection .leaflet-touch .leaflet-control-zoom-in:hover,
.geo-feature-collection .leaflet-touch .leaflet-control-zoom-out:hover {
    background-color: var(--color-grey-125);
}

.geo-feature-collection .leaflet-touch .leaflet-control-zoom-in {
    border-top-left-radius: .5rem !important;
    border-top-right-radius: .5rem !important;
    border-bottom: 1px var(--color-grey-125) solid !important;
}
.geo-feature-collection .leaflet-touch .leaflet-control-zoom-out {
    border-bottom-left-radius: .5rem !important;
    border-bottom-right-radius: .5rem !important;
}
